Submit Gate criteria Form
Retrieves Gate criteria Form based on unique productId,manufacturerId
Query Parameters
- 200
- 400
- 500
Successful Response
Schema
data object required
Section to carry responses
Response object
This contains messages whether the product is suitable or not
Possible values: <= 3 characters, [Yes, No]
this tag will indicate to manufacturer whether product is suitable or Not
Will provide the list of product which are suitable, if no products suitable pass null
This array contains error messages in case of an error
Request Id for the quote assigned by 1SB
{
"data": {
"Response": {
"SuitableOrNo": "Yes"
},
"suitableProducts": "null"
},
"errors": {},
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}
Consumer Response
Schema
- Array [
- ]
Section to carry quote responses
errors object[] required
This array contains error messages in case of an error
Possible values: <= 50 characters
In case error occurs, the error code will be stored here
Possible values: <= 100 characters
In case error occurs, the error display message will be stored here
Possible values: <= 20 characters
In case error occurs, the error identifier will be stored here
Possible values: <= 100 characters
In case error occurs, the error message will be stored here
Possible values: <= 10 characters
In case error occurs, the error type will be stored here
Request Id for the quote assigned by 1SB
{
"data": {},
"errors": [
{
"errorCode": "string",
"errorDisplayMessage": "string",
"errorIdentifier": "string",
"errorMessage": "string",
"errorType": "string"
}
],
"reqId": "string"
}